<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>

        <record id="sale_order_quot_global_discount_tree_view" model="ir.ui.view">
             <field name="name">sale.order.quot.global.discount.tree</field>
             <field name="model">sale.order</field>
            <field name="inherit_id" ref="sale.view_quotation_tree"/>
            <field name="arch" type="xml">
                <xpath expr="//field[@name='amount_total']" position="before">
                    <field name="public_pricelist_discount_amount" />
                    <field name="order_line_discount_amount" />
                    <field name="discount_amount" />
                </xpath>

            </field>
        </record>

        <record id="sale_order_global_discount_tree_view" model="ir.ui.view">
             <field name="name">sale.order.global.discount.tree</field>
             <field name="model">sale.order</field>
            <field name="inherit_id" ref="sale.view_order_tree"/>
            <field name="arch" type="xml">
                    <xpath expr="//field[@name='amount_total']" position="before">
                    <field name="public_pricelist_discount_amount" />
                    <field name="order_line_discount_amount" />
                    <field name="discount_amount" />
                </xpath>
            </field>
        </record>


        <record id="sale_order_global_discount_form_view" model="ir.ui.view">
             <field name="name">sale.order.global.discount.form</field>
             <field name="model">sale.order</field>
            <field name="inherit_id" ref="sale.view_order_form"/>
            <field name="arch" type="xml">

                <xpath expr="//group[@name='sale_total']" position="before">
                        <group name="discount" string="Global Discount" class="oe_left" >
                            <field name="discount_type"  on_change="onchange_global_discount(amount_untaxed,discount_type, discount_value)" />
                            <field name="discount_value" on_change="onchange_global_discount(amount_untaxed,discount_type, discount_value)" />
                        </group>
                </xpath>
                <xpath expr="//field[@name='order_line']/tree//field[@name='price_unit']" position="before">
                        <field name="lst_price" readonly="True" widget='monetary' options="{'currency_field': 'currency_id'}"/>
                </xpath>
                <xpath expr="//field[@name='note']" position="before">
                        <group>
                            <group name="discount_info" string="Discount List">
                                <field name="public_pricelist_discount_amount" widget='monetary' options="{'currency_field': 'currency_id'}"/>
                                <field name="order_line_discount_amount" widget='monetary' options="{'currency_field': 'currency_id'}" />
                                <field name="discount_amount" widget='monetary' options="{'currency_field': 'currency_id'}" />
                                <!--<field name="discount_amount_function" widget='monetary' options="{'currency_field': 'currency_id'}"/>-->
                            </group>
                            <group name="subtotal_info" string="Sub Total List">
                                <field name="amount_total_1" widget='monetary' options="{'currency_field': 'currency_id'}"/>
                                <field name="amount_total_1_a" widget='monetary' options="{'currency_field': 'currency_id'}"/>
                                <field name="amount_total_2" widget='monetary' options="{'currency_field': 'currency_id'}" />
                                <field name="amount_total_3" widget='monetary' options="{'currency_field': 'currency_id'}"/>
                            </group>
                        </group>
                </xpath>
                <!--
                <xpath expr="//field[@name='amount_tax']" position="before">

                </xpath>
                  -->
            </field>
        </record>



    </data>
</openerp>